## com.ziclix.python.sql
Class PyStatement

    java.lang.Object
      org.python.core.PyObject
          com.ziclix.python.sql.PyStatement

All Implemented Interfaces:
  java.io.Serializable

    public class PyStatement

extends PyObject

Class PyStatement

Version:
  $Revision: 2542 $
Author:
  brian zimmer
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyClass` `__class__` Field __class__
`static int` `STATEMENT_CALLABLE` Field STATEMENT_CALLABLE
`static int` `STATEMENT_PREPARED` Field STATEMENT_PREPARED
`static int` `STATEMENT_STATIC` Field STATEMENT_STATIC

Fields inherited from class org.python.core.PyObject
`exposed_name`

Constructor Summary
`PyStatement(java.sql.Statement statement, java.lang.Object sql, int style)` Constructor PyStatement
`PyStatement(java.sql.Statement statement, Procedure procedure)` Constructor PyStatement

Method Summary
`void` `__del__()` Delete the statement.
`PyObject` `__findattr__(java.lang.String name)` Gets the value of the attribute name.
`PyString` `__repr__()` Method __repr__
`PyString` `__str__()` Method __str__
`static void` `classDictInit(PyObject dict)` Initializes the object's namespace.
`void` `close()` Method close
`void` `execute(PyCursor cursor, PyObject params, PyObject bindings)` Method execute
`java.lang.String` `toString()` Method toString

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asInt, asLong, asName, asString, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getDoc, getType, hashCode, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, safeRepr, setDict, setType, typeSetup`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STATEMENT_STATIC

    public static final int STATEMENT_STATIC

  Field STATEMENT_STATIC

  See Also:
    Constant Field Values

### STATEMENT_PREPARED

    public static final int STATEMENT_PREPARED

  Field STATEMENT_PREPARED

  See Also:
    Constant Field Values

### STATEMENT_CALLABLE

    public static final int STATEMENT_CALLABLE

  Field STATEMENT_CALLABLE

  See Also:
    Constant Field Values

### __class__

    public static PyClass __class__

  Field __class__

Constructor Detail

### PyStatement

    public PyStatement(java.sql.Statement statement,
                       java.lang.Object sql,
                       int style)

  Constructor PyStatement

  Parameters:
    `statement` -
    `sql` -
    `style` -

### PyStatement

    public PyStatement(java.sql.Statement statement,
                       Procedure procedure)

  Constructor PyStatement

  Parameters:
    `statement` -
    `procedure` -

Method Detail

### __str__

    public PyString __str__()

  Method __str__

  Overrides:
    `__str__` in class `PyObject`
  Returns:
    PyString

### __repr__

    public PyString __repr__()

  Method __repr__

  Overrides:
    `__repr__` in class `PyObject`
  Returns:
    PyString

### toString

    public java.lang.String toString()

  Method toString

  Overrides:
    `toString` in class `PyObject`
  Returns:
    String

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Gets the value of the attribute name.

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` -
  Returns:
    the attribute for the given name
  See Also:
    `PyObject.__findattr__(PyString)`

### classDictInit

    public static void classDictInit(PyObject dict)

  Initializes the object's namespace.

  Parameters:
    `dict` -

### __del__

    public void __del__()

  Delete the statement.

### execute

    public void execute(PyCursor cursor,
                        PyObject params,
                        PyObject bindings)
                 throws java.sql.SQLException

  Method execute

  Parameters:
    `cursor` -
    `params` -
    `bindings` -
  Throws:
    `java.sql.SQLException`

### close

    public void close()

  Method close

Jython homepage